m.Parking.Placement Class Reference

Representation d'un Placement de DreamPark. More...

## Public Member Functions

def | __init__
| Constructeur Placement. More...
def | id (self)
| Propriete : id du Placement.
def | place (self)
| Propriete : place liée du Placement.
def | voiture (self)
| Propriete : voiture liée du Placement.
def | end (self)
| Fin du placement (depart voiture)
def | __str__ (self)
| Representation du Placement en chaine.

## Detailed Description

Representation d'un Placement de DreamPark.

## Constructor & Destructor Documentation

def m.Parking.Placement.__init__ | ( |  | self,
|  |  | id,
|  |  | voiture = `None`,
|  |  | place = `None`
| ) |  |

Constructeur Placement.

Parameters

  id | Si None : creation du Placement dans la bd Sinon : tentative de récupération du Placement avec cet id dans la bd
  voiture | Si creation : Voiture lié au placement
  place | Si creation : Place lié au placement

The documentation for this class was generated from the following file:

- src/m/Parking.py